package cn.superdesk.uniorder.dto.vo.kafka;


import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @Description: 弃用
 * @Author: linjinyu
 * @CreateDate: 7/17/20 3:21 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 7/17/20 3:21 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Deprecated
public class OrganizationEntity implements Serializable {
	/**
	 *
	 */
	private static final long serialVersionUID = 8165690156814949009L;

	/**
	 * ID
	 */

	private Integer id;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 编码
	 */
	private String code;

	/**
	 * 项目类型(高校校园、小区住宅、CBD写字楼)
	 */
	private Integer type;

	/**
	 * 服务热线
	 */
	private String telephone;

	/**
	 * 所在省份编码
	 */
	private String provinceCode;

	/**
	 * 所在省份名称
	 */
	private String provinceName;

	/**
	 * 所在城市编码
	 */
	private String cityCode;

	/**
	 * 所在城市名称
	 */
	private String cityName;

	/**
	 * 详细地址
	 */
	private String address;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 经度
	 */
	private BigDecimal lng;

	/**
	 * 纬度
	 */
	private BigDecimal lat;

	/**
	 * 创建时间
	 */
	private Date createdAt;

	/**
	 * 创建人
	 */
	private Integer createdBy;

	/**
	 * 修改时间
	 */
	private Date updatedAt;

	/**
	 * 修改人
	 */
	private Integer updatedBy;

	/**
	 * 是否可用或删除
	 */
	private Integer enabled;

	/**
	 * 项目状态(0-待审核,1-通过,2-不通过)
	 */
	private Integer status;

	/**
	 * 申请人姓名
	 */
	private String applicantName;

	/**
	 * 申请人电话
	 */
	private String applicantPhone;

	/**
	 * 审核信息说明
	 */
	private String reviewRemark;

	/**
	 * 申请人身份
	 */
	private String applicantIdentity;

	/**
	 * 申请人的微信信息ID
	 */
	private Integer wxUserId;

	/**
	 * 是否同步内购网
	 */
	private Integer isSyncNeigou;

	/**
	 * 项目对应的项目管理员角色id
	 */
	private Integer roleId;

	/**
	 * 会议室项目ID
	 */
	private String mettingClient;

	/**
	 * 航电项目id
	 */
	private String hdProjectId;

	/**
	 * 航电项目名称
	 */
	private String hdProjectName;

	/**
	 * 账号类型:0企业账号;1个人账号
	 */
	private Integer accountType;

	private String postofficeClient;

	/**
	 * 通行方式 1-face++  2-二维码
	 */
	private Integer passType;

	/**
	 * 问卷星账号
	 */
	private String  wjxAccount;
	/**
	 * 业态(1-写字楼;2-住宅;)
	 */
	private Integer typeOfOperation;

	/**
	 * 空气质量服务器IP地址
	 */
	private String airIp;

	private BigDecimal serviceCharge;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getProvinceCode() {
		return provinceCode;
	}

	public void setProvinceCode(String provinceCode) {
		this.provinceCode = provinceCode;
	}

	public String getProvinceName() {
		return provinceName;
	}

	public void setProvinceName(String provinceName) {
		this.provinceName = provinceName;
	}

	public String getCityCode() {
		return cityCode;
	}

	public void setCityCode(String cityCode) {
		this.cityCode = cityCode;
	}

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public BigDecimal getLng() {
		return lng;
	}

	public void setLng(BigDecimal lng) {
		this.lng = lng;
	}

	public BigDecimal getLat() {
		return lat;
	}

	public void setLat(BigDecimal lat) {
		this.lat = lat;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Integer getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Integer getUpdatedBy() {
		return updatedBy;
	}

	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}

	public Integer getEnabled() {
		return enabled;
	}

	public void setEnabled(Integer enabled) {
		this.enabled = enabled;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getApplicantName() {
		return applicantName;
	}

	public void setApplicantName(String applicantName) {
		this.applicantName = applicantName;
	}

	public String getApplicantPhone() {
		return applicantPhone;
	}

	public void setApplicantPhone(String applicantPhone) {
		this.applicantPhone = applicantPhone;
	}

	public String getReviewRemark() {
		return reviewRemark;
	}

	public void setReviewRemark(String reviewRemark) {
		this.reviewRemark = reviewRemark;
	}

	public String getApplicantIdentity() {
		return applicantIdentity;
	}

	public void setApplicantIdentity(String applicantIdentity) {
		this.applicantIdentity = applicantIdentity;
	}

	public Integer getWxUserId() {
		return wxUserId;
	}

	public void setWxUserId(Integer wxUserId) {
		this.wxUserId = wxUserId;
	}

	public Integer getIsSyncNeigou() {
		return isSyncNeigou;
	}

	public void setIsSyncNeigou(Integer isSyncNeigou) {
		this.isSyncNeigou = isSyncNeigou;
	}

	public Integer getRoleId() {
		return roleId;
	}

	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}

	public String getMettingClient() {
		return mettingClient;
	}

	public void setMettingClient(String mettingClient) {
		this.mettingClient = mettingClient;
	}

	public String getHdProjectId() {
		return hdProjectId;
	}

	public void setHdProjectId(String hdProjectId) {
		this.hdProjectId = hdProjectId;
	}

	public String getHdProjectName() {
		return hdProjectName;
	}

	public void setHdProjectName(String hdProjectName) {
		this.hdProjectName = hdProjectName;
	}

	public Integer getAccountType() {
		return accountType;
	}

	public void setAccountType(Integer accountType) {
		this.accountType = accountType;
	}

	public String getPostofficeClient() {
		return postofficeClient;
	}

	public void setPostofficeClient(String postofficeClient) {
		this.postofficeClient = postofficeClient;
	}

	public Integer getPassType() {
		return passType;
	}

	public void setPassType(Integer passType) {
		this.passType = passType;
	}

	public String getWjxAccount() {
		return wjxAccount;
	}

	public void setWjxAccount(String wjxAccount) {
		this.wjxAccount = wjxAccount;
	}

	public Integer getTypeOfOperation() {
		return typeOfOperation;
	}

	public void setTypeOfOperation(Integer typeOfOperation) {
		this.typeOfOperation = typeOfOperation;
	}

	public String getAirIp() {
		return airIp;
	}

	public void setAirIp(String airIp) {
		this.airIp = airIp;
	}

	public BigDecimal getServiceCharge() {
		return serviceCharge;
	}

	public void setServiceCharge(BigDecimal serviceCharge) {
		this.serviceCharge = serviceCharge;
	}


}
